Bug 235561 - [exp-run] convert bsd.sdl.mk to USES=sdl
Summary: [exp-run] convert bsd.sdl.mk to USES=sdl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-06 21:09 UTC by Dmitry Marakasov
Modified: 2019-02-11 15:21 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
Patch (13.41 KB, patch)
2019-02-06 21:09 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2019-02-06 21:09:24 UTC
Created attachment 201802 [details]
Patch

* Convert bsd.sdl.mk to USES=sdl
* Simplify and modernize make code a bit

Approved by: mat
Phabricator: https://reviews.freebsd.org/D19075
Comment 2 Dmitry Marakasov freebsd_committer 2019-02-08 23:34:39 UTC
Please re-run after r492471. Patch unchanged, all 4 problematic ports should be now fixed.
Comment 3 Antoine Brodin freebsd_committer 2019-02-09 19:59:20 UTC
Exp-run looks fine